# JSDoc: Class: NoteRevision

# Class: NoteRevision

## NoteRevision()

NoteRevision represents snapshot of note's title and content at some point in the past. It's used for seamless note versioning.

## Constructor

#### new NoteRevision()

##### Properties:

Name | Type | Description
--- | --- | ---
`noteRevisionId` | string |
`noteId` | string |
`type` | string |
`mime` | string |
`title` | string |
`isErased` | boolean |
`isProtected` | boolean |
`dateLastEdited` | string |
`dateCreated` | string |
`utcDateLastEdited` | string |
`utcDateCreated` | string |
`utcDateModified` | string |

Source:
  - entities/note_revision.js, line 28

### Extends

- Entity

### Methods

#### getContent() → {*}

Source:
  - entities/note_revision.js, line 68

##### Returns:

Type
  *

#### isStringNote() → {boolean}

Source:
  - entities/note_revision.js, line 54

##### Returns:

true if the note has string content (not binary)

Type
  boolean